/*
 * Academic License - for use in teaching, academic research, and meeting
 * course requirements at degree granting institutions only.  Not for
 * government, commercial, or other organizational use.
 *
 * _coder_hilbert_fir_api.h
 *
 * Code generation for function 'hilbert_fir'
 *
 */

#ifndef _CODER_HILBERT_FIR_API_H
#define _CODER_HILBERT_FIR_API_H

/* Include files */
#include "emlrt.h"
#include "tmwtypes.h"
#include <string.h>

/* Variable Declarations */
extern emlrtCTX emlrtRootTLSGlobal;
extern emlrtContext emlrtContextGlobal;

#ifdef __cplusplus
extern "C" {
#endif

/* Function Declarations */
void hilbert_fir(real_T data[8], real_T i_data[8], real_T q_data[8]);

void hilbert_fir_api(const mxArray *prhs, int32_T nlhs, const mxArray *plhs[2]);

void hilbert_fir_atexit(void);

void hilbert_fir_initialize(void);

void hilbert_fir_terminate(void);

void hilbert_fir_xil_shutdown(void);

void hilbert_fir_xil_terminate(void);

#ifdef __cplusplus
}
#endif

#endif
/* End of code generation (_coder_hilbert_fir_api.h) */
